#include <bits/stdc++.h>
using namespace std;
int N, K, brojac1, brojac2, brojac3, brojac4;
int main() {
cin >> N >> K;
for(int i=1; i<=N; i++) {
        int a;
    cin >> a;
    if(a==-1) brojac1++;
    if(a==0)  brojac2++;
    if(a==1)  brojac3++;
}

 if(brojac1>=K) brojac4++;
 if(brojac2>=K) brojac4++;
 if(brojac3>=K) brojac4++;
 cout << brojac4 << endl;

 if(brojac1>=K) cout << -1 << " ";
 if(brojac2>=K) cout << 0 << " ";
 if(brojac3>=K) cout << 1 << " ";
return 0;
}